Subject: Re: bug#66098: Crash in itree.c on macOS with incomplete backtrace

From: Robert Pluim <[email-masked]>
Date: Fri, 22 Sep 2023 14:07:02 +0200

>>>>> On Fri, 22 Sep 2023 03:58:13 -0700, Stefan Kangas <[email-masked]> said:

    >> Iʼd start by adding '-fsanitize=address' to your CFLAGS.

    Stefan> I tried that, and the crash disappeared.  Nothing has come up so far,
    Stefan> not even the bug that you found.

Paul installed a fix on master.

    Stefan> However, I had to install a new version of llvm to get asan support, and
    Stefan> it seems the new build is using my old clang but CPPFLAGS and LDFLAGS is
    Stefan> pointing to the new version.  Perhaps that has something to do with it,
    Stefan> so I'll try rebuilding without that next.

If you installed using homebrew, then the new clang wonʼt be in $PATH,
since clang is a system binary, so you need to either adjust your
$PATH or pass CC=/path/to/clang to configure.

Robert
--